List Custom Object Records

Lists custom object records of a custom object.
Optionally, the custom object records can be filtered by the associated_resource_id and associated_resource_type fields.

Records are ordered by inserted_at descending, then id descending (newest first).

Supports two pagination methods:

  • Cursor-based (recommended): pass cursor (with limit) to page forward. The response
    includes a metadata object whose next_cursor is null on the last page. Cursor
    pagination is triggered automatically when a cursor value is provided; cursor and
    offset cannot be combined.
  • Offset-based (deprecated): pass offset (with limit).
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Custom Object ID

Query Params
string

Associated Resource ID

string

Associated Resource Type

string

Cursor for keyset pagination. Use the next_cursor value from the previous response.

integer
Defaults to 0

Number of results to skip. Cannot be combined with cursor.

integer
Defaults to 50

limit

Responses

Callback
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json